Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Matrix

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Matrix

public class Matrix
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Matrix()`
`protected` | `Matrix(int i)`

Method Summary
`protected void` | `finalize()`
`float` | `getAngle()`
`int` | `getBlueOffset()`
`float` | `getBlueScale()`
`int` | `getGreenOffset()`
`float` | `getGreenScale()`
`int` | `getRedOffset()`
`float` | `getRedScale()`
`int` | `getXOffset()`
`float` | `getXScale()`
`int` | `getYOffset()`
`float` | `getYScale()`
`void` | `release()`
`void` | `setAngle(float f)`
`void` | `setBlueOffset(int i)`
`void` | `setBlueScale(float f)`
`void` | `setBrightness(float f)`
`void` | `setColorTint(Color color, float f)`
`void` | `setGreenOffset(int i)`
`void` | `setGreenScale(float f)`
`void` | `setRedOffset(int i)`
`void` | `setRedScale(float f)`
`void` | `setRgbTint(int i, float f)`
`void` | `setXOffset(int i)`
`void` | `setXScale(float f)`
`void` | `setYOffset(int i)`
`void` | `setYScale(float f)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Matrix

    public Matrix()
           throws GeneratorApiException

### Matrix

    protected Matrix(int i)
              throws GeneratorApiException

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getAngle

    public float getAngle()
                   throws GeneratorApiException

### getBlueOffset

    public int getBlueOffset()
                      throws GeneratorApiException

### getBlueScale

    public float getBlueScale()
                       throws GeneratorApiException

### getGreenOffset

    public int getGreenOffset()
                       throws GeneratorApiException

### getGreenScale

    public float getGreenScale()
                        throws GeneratorApiException

### getRedOffset

    public int getRedOffset()
                     throws GeneratorApiException

### getRedScale

    public float getRedScale()
                      throws GeneratorApiException

### getXOffset

    public int getXOffset()
                   throws GeneratorApiException

### getXScale

    public float getXScale()
                    throws GeneratorApiException

### getYOffset

    public int getYOffset()
                   throws GeneratorApiException

### getYScale

    public float getYScale()
                    throws GeneratorApiException

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setAngle

    public void setAngle(float f)
                  throws GeneratorApiException

### setBlueOffset

    public void setBlueOffset(int i)
                       throws GeneratorApiException

### setBlueScale

    public void setBlueScale(float f)
                      throws GeneratorApiException

### setBrightness

    public void setBrightness(float f)
                       throws GeneratorApiException

### setColorTint

    public void setColorTint(Color color,
                             float f)
                      throws GeneratorApiException

### setGreenOffset

    public void setGreenOffset(int i)
                        throws GeneratorApiException

### setGreenScale

    public void setGreenScale(float f)
                       throws GeneratorApiException

### setRedOffset

    public void setRedOffset(int i)
                      throws GeneratorApiException

### setRedScale

    public void setRedScale(float f)
                     throws GeneratorApiException

### setRgbTint

    public void setRgbTint(int i,
                           float f)
                    throws GeneratorApiException

### setXOffset

    public void setXOffset(int i)
                    throws GeneratorApiException

### setXScale

    public void setXScale(float f)
                   throws GeneratorApiException

### setYOffset

    public void setYOffset(int i)
                    throws GeneratorApiException

### setYScale

    public void setYScale(float f)
                   throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD